package com.xy.dto.SysWorkUser;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

@Data
@ApiModel("业务用户返参类")
@Accessors(chain = true)
public class SysWorkVo {

    @ApiModelProperty("账号")
    private String account;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("手机")
    private String phone;

    private String password;

    @ApiModelProperty("最后登录的账号")
    private String lastLoginId;

    @ApiModelProperty("最后登录时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastLoginTime;

    @ApiModelProperty("登录次数")
    private Integer loginNum;

    @ApiModelProperty("状态")
    private Boolean status;

    @ApiModelProperty("唯一标识")
    private Long id;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("更新人")
    private Long updateUser;

    @ApiModelProperty("角色id")
    private List<Long> roleIds;

    @ApiModelProperty("角色名称")
    private List<String> roleNames;

    @ApiModelProperty("部门id")
    private List<Long> deptIds;

    @ApiModelProperty("部门名称")
    private List<String> deptNames;
}
